petsc-3.4.2 2013-07-02

# DMCoarsenHierarchy

Coarsens a DM object, all levels at once

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMCoarsenHierarchy(DM dm, PetscInt nlevels, DM dmc[])

Collective on DM

### Input Parameter

| dm | - the DM object
| nlevels | - the number of levels of coarsening

### Output Parameter

dmc -the coarsened DM hierarchy

### See Also

DMRefineHierarchy(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html